import tkinter

fenster = tkinter.Tk()

menuLeiste = tkinter.Menu(fenster)
menuDatei = tkinter.Menu(menuLeiste)
menuInfo = tkinter.Menu(menuLeiste)

textFeld = tkinter.Text(fenster)


def beenden():
    fenster.destroy()

def dateiAnzeigen(file):
    lines = file.readlines()
    for line in lines:
        textFeld.insert("end", line)
    textFeld.pack()

def dateiOeffnen():
    fileName = tkinter.filedialog.askopenfile(parent=fenster,mode='rb',title='Textdatei aus wählen')
    if fileName != None:
        dateiAnzeigen(fileName)
    fileName.close()
    

def info():
    tkinter.messagebox.showinfo('Info über Text Anzeiger','Version 1.0.0 beta')


def init():
    fenster.title('Text Anzeiger')
    fenster.geometry('600x600')

    
fenster.config(menu=menuLeiste)
menuDatei.add_command(label='Öffnen', command=dateiOeffnen)
menuDatei.add_command(label='Beenden', command=beenden)
menuLeiste.add_cascade(label='Datei',menu=menuDatei)

menuInfo.add_command(label='Über Anzeige', command=info)
menuLeiste.add_cascade(label='Hilfe',menu=menuInfo)

init()
textFeld.pack()
fenster.mainloop()
